VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv1TrapTarget Class Reference

`Snmp.SNMPv1TrapTarget` class Structure that defines an SNMP v1/v2c trap target. More...

List of all members.

## Public Member Functions
| SNMPv1TrapTarget ()
| Creates a default new instance.
string | GetIp ()
| SNMP target ip.
void | SetIp (string ip)
| SNMP target ip.
long | GetPort ()
| SNMP target port.
void | SetPort (long port)
| SNMP target port.
string | GetCommunity ()
| SNMP target community.
void | SetCommunity (string community)
| SNMP target community.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Snmp.SNMPv1TrapTarget` class Structure that defines an SNMP v1/v2c trap target.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv1TrapTarget::SNMPv1TrapTarget | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv1TrapTarget::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv1TrapTarget::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv1TrapTarget::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv1TrapTarget::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv1TrapTarget::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv1TrapTarget::Equals | ( | object | obj | ) | `[inline]`

string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv1TrapTarget::GetCommunity | ( |  | ) | `[inline]`

SNMP target community.

override int vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv1TrapTarget::GetHashCode | ( |  | ) | `[inline]`

string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv1TrapTarget::GetIp | ( |  | ) | `[inline]`

SNMP target ip.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv1TrapTarget::GetPort | ( |  | ) | `[inline]`

SNMP target port.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv1TrapTarget::SetCommunity | ( | string | community | ) | `[inline]`

SNMP target community.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv1TrapTarget::SetIp | ( | string | ip | ) | `[inline]`

SNMP target ip.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv1TrapTarget::SetPort | ( | long | port | ) | `[inline]`

SNMP target port.

override string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPv1TrapTarget::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- SnmpTypes.cs